s.hist {ade4} | R Documentation

## Display of a scatterplot and its two marginal histograms

### Description

performs a scatterplot and the two marginal histograms of each axis.

### Usage

    s.hist(dfxy, xax = 1, yax = 2, cgrid = 1, cbreaks = 2, adjust = 1, ...)

### Arguments

`dfxy` | a data frame with two coordinates
`xax` | column for the x axis
`yax` | column for the y axis
`cgrid` | a character size, parameter used with `par("cex")*cgrid` to indicate the mesh of the grid
`cbreaks` | a parameter used to define the numbers of cells for the histograms. By default, two cells are defined for each interval of the grid displayed in `s.label`. With an increase of the integer `cbreaks`, the number of cells increases as well.
`adjust` | a parameter passed to `density` to display a kernel density estimation
`...` | further arguments passed from the `s.label` for the scatter plot

### Value

The matched call.

### Author(s)

Daniel Chessel

### Examples

    data(rpjdl)
    coa1 <- dudi.coa(rpjdl$fau, scannf = FALSE, nf = 4)
    s.hist(coa1$li)
    s.hist(coa1$li, cgrid = 2, cbr = 3, adj = 0.5, clab = 0)
    s.hist(coa1$co, cgrid = 2, cbr = 3, adj = 0.5, clab = 0)

[Package ade4 version 1.7-13 Index]